# Observation _search

`POST /Observation/_search`

This resource contains one or more results, findings, or measurements to inform a patient’s clinical condition (e.g., vitals, imaging results, lab results, device measurements).

Observations can help to identify baselines and patterns or define personal characteristics for a patient (e.g., height, weight, eye color). A `DiagnosticReport` resource may reference `Observation` resources to provide the metadata for a complete diagnostic report.  

You can review, retrieve, create, or update observations for a patient. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for one or more defined observations for a patient.

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We add a `required` label only to query parameters _a FHIR server requires if you query it directly_. Remember that Redox <u>**data on demand**</u> isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `patient` | Array of string | No | The patient about whom this Observation was recorded |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |
| `category` | Array of string | No | The categorization of the Observation |
| `code` | Array of string | No | The code of the observation type |
| `date` | Array of string | No | Clinically relevant time/time-period for Observation |
| `effective` | Array of string | No | Clinically relevant time/time-period for Observation (alias for 'date') |
| `identifier` | Array of string | No | An identifier for the observation |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Observation/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string' \
--data-urlencode 'category=string' \
--data-urlencode 'code=string' \
--data-urlencode 'date=string' \
--data-urlencode 'effective=string' \
--data-urlencode 'identifier=string'
```

## Responses

### 200

Search results (Bundle)

Response to an Observation search operation for social history-related resources

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of Observation or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (Observation).resource` | RedoxSocialHistoryObservation or RedoxSocialHistoryPregnancyObservation or RedoxSocialHistorySmokingStatusObservation or RedoxSocialHistoryTobaccoUseObservation | Yes | Measurements and simple assertions made about a patient. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).resourceType` | string | Yes | Identifies the type of the resource. Value: Observation |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).status` | string | Yes | The status of the result value. Possible values: registered, preliminary, final, amended, corrected, cancelled, entered-in-error, unknown |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category` | Array of SocialHistory or Other | Yes | A code that classifies the general type of observation being made. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (SocialHistory).coding` | Array of object | Yes |  |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (SocialHistory).coding[].code` | string | Yes | Value: social-history |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (SocialHistory).coding[].system` | string | Yes | Value: http://terminology.hl7.org/CodeSystem/observation-category |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._system` | object | No | Extensions for system |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._version` | object | No | Extensions for version |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._code` | object | No | Extensions for code |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].display` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._display` | object | No | Extensions for display |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._userSelected` | object | No | Extensions for userSelected |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other).text` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other)._text` | object | No | Extensions for text |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other)._text.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other)._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other)._text.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other)._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).category[] (Other)._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).code` | object | Yes | Describes what was observed. Sometimes this is called the observation "name". |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier` | Array of object | No | A unique identifier assigned to this observation. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).subject` | object | No | The patient, or group of patients, location, or device this observation is about and into whose record the observation is placed. If the actual focus of the observation is different from the subject (or a sample of, part, or region of the subject), the `focus` element or the `code` itself specifies the actual focus of the observation. Must be a resource of type `Patient`. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).encounter` | object | No | The healthcare event  (e.g. a patient and healthcare provider interaction) during which this observation is made. Must be a resource of type `Encounter`. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).dataAbsentReason` | object | No | Provides a reason why the expected value in the element Observation.value[x] is missing. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).dataAbsentReason.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).dataAbsentReason.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).dataAbsentReason.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).dataAbsentReason.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).effectiveDateTime` | string | No | The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself. Only one of `effectiveDateTime`, `effectivePeriod` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).effectivePeriod` | object | No | The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself. Only one of `effectiveDateTime`, `effectivePeriod` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).effectivePeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).effectivePeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).valueCodeableConcept` | object | No | The information determined as a result of making the observation, if the information has a simple value. Only one of `valueCodeableConcept`, `valueString` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryObservation).valueString` | string | No | The information determined as a result of making the observation, if the information has a simple value. Only one of `valueCodeableConcept`, `valueString` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).resourceType` | string | Yes | Identifies the type of the resource. Value: Observation |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).status` | string | Yes | The status of the result value. Possible values: registered, preliminary, final, amended, corrected, cancelled, entered-in-error, unknown |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category` | Array of SocialHistory or Other | Yes | A code that classifies the general type of observation being made. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (SocialHistory).coding` | Array of object | Yes |  |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (SocialHistory).coding[].code` | string | Yes | Value: social-history |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (SocialHistory).coding[].system` | string | Yes | Value: http://terminology.hl7.org/CodeSystem/observation-category |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._system` | object | No | Extensions for system |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._version` | object | No | Extensions for version |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._code` | object | No | Extensions for code |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].display` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._display` | object | No | Extensions for display |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._userSelected` | object | No | Extensions for userSelected |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other).text` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other)._text` | object | No | Extensions for text |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other)._text.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other)._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other)._text.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other)._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).category[] (Other)._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).code` | object | Yes | Describes what was observed. Sometimes this is called the observation "name". |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).code.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).code.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: 82810-3 |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).code.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://loinc.org |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).code.coding[].display` | string | Yes | Value: Pregnancy Status |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier` | Array of object | No | A unique identifier assigned to this observation. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).subject` | object | No | The patient, or group of patients, location, or device this observation is about and into whose record the observation is placed. If the actual focus of the observation is different from the subject (or a sample of, part, or region of the subject), the `focus` element or the `code` itself specifies the actual focus of the observation. Must be a resource of type `Patient`. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).encounter` | object | No | The healthcare event  (e.g. a patient and healthcare provider interaction) during which this observation is made. Must be a resource of type `Encounter`. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component` | Array of DeliveryDateEstimated or Other | No | Some observations have multiple component observations.  These component observations are expressed as separate code value pairs that share the same attributes.  Examples include systolic and diastolic component observations for blood pressure measurement and multiple component observations for genetics observations. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).code` | object | Yes | Describes what was observed. Sometimes this is called the observation "code". |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).code.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).code.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: 11778-8 |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).code.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://loinc.org |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).code.coding[].display` | string | Yes | Value: Delivery date Estimated |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).valuePeriod` | object | No | The information determined as a result of making the observation, if the information has a simple value. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueBoolean`, `valueInteger`, `valueRange`, `valueRatio`, `valueSampledData`, `valueTime`, `valueDateTime`, `valuePeriod` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).valuePeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (DeliveryDateEstimated).valuePeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (Other).code` | object | Yes | Describes what was observed. Sometimes this is called the observation "code". |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (Other).code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (Other).code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (Other).code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).component[] (Other).code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).effectiveDateTime` | string | No | The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself. Only one of `effectiveDateTime`, `effectivePeriod` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).effectivePeriod` | object | No | The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself. Only one of `effectiveDateTime`, `effectivePeriod` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).effectivePeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Observation).resource (RedoxSocialHistoryPregnancyObservation).effectivePeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).resourceType` | string | Yes | Identifies the type of the resource. Value: Observation |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).status` | string | Yes | The status of the result value. Possible values: registered, preliminary, final, amended, corrected, cancelled, entered-in-error, unknown |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category` | Array of SocialHistory or Other | Yes | A code that classifies the general type of observation being made. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (SocialHistory).coding` | Array of object | Yes |  |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (SocialHistory).coding[].system` | string | Yes | Value: http://terminology.hl7.org/CodeSystem/observation-category |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (SocialHistory).coding[].code` | string | Yes | Value: social-history |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._system` | object | No | Extensions for system |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._version` | object | No | Extensions for version |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._code` | object | No | Extensions for code |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].display` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._display` | object | No | Extensions for display |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._userSelected` | object | No | Extensions for userSelected |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other).text` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other)._text` | object | No | Extensions for text |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other)._text.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other)._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other)._text.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other)._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).category[] (Other)._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code` | object | Yes | Describes what was observed. Sometimes this is called the observation "name". |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.coding[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).subject` | object | Yes | The patient, or group of patients, location, or device this observation is about and into whose record the observation is placed. If the actual focus of the observation is different from the subject (or a sample of, part, or region of the subject), the `focus` element or the `code` itself specifies the actual focus of the observation. Must be a resource of type `Patient`. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).effectiveDateTime` | string | Yes | The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).valueCodeableConcept` | object | Yes | The information determined as a result of making the observation, if the information has a simple value. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier` | Array of object | No | A unique identifier assigned to this observation. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).encounter` | object | No | The healthcare event  (e.g. a patient and healthcare provider interaction) during which this observation is made. Must be a resource of type `Encounter`. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).issued` | string | No | The date and time this version of the observation was made available to providers, typically after the results have been reviewed and verified. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).dataAbsentReason` | object | No | Provides a reason why the expected value in the element Observation.value[x] is missing. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).dataAbsentReason.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).dataAbsentReason.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).dataAbsentReason.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Observation).resource (RedoxSocialHistorySmokingStatusObservation).dataAbsentReason.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).resourceType` | string | Yes | Identifies the type of the resource. Value: Observation |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).status` | string | Yes | The status of the result value. Possible values: registered, preliminary, final, amended, corrected, cancelled, entered-in-error, unknown |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category` | Array of SocialHistory or Other | Yes | A code that classifies the general type of observation being made. |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (SocialHistory).coding` | Array of object | Yes |  |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (SocialHistory).coding[].code` | string | Yes | Value: social-history |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (SocialHistory).coding[].system` | string | Yes | Value: http://terminology.hl7.org/CodeSystem/observation-category |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[]._system` | object | No | Extensions for system |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Observation).resource (RedoxSocialHistoryTobaccoUseObservation).category[] (Other).coding[].version` | string | No | A sequence of Unicode characters |
[...]
